#include "pub/PubWrapperHelper.h"
#include "pub/PubDataWrapper.h"
#include "CameraDriving_PubDataWrapper.h"
#include "camera_drv/executable.h"
#include "MbufModule.h"

#include "CameraDriving_GeneralWrapper.h"


GeneralWrapper::GeneralWrapper(ara::log::Logger& mainLog) : 
//Provides 
_CamDrv2Visualization_Provide("camera_drv/camera_drv/CamDrv2VisualizationPPort" ,mainLog),
_CamDrv2CamDrvPerception_Provide("camera_drv/camera_drv/CamDrv2CamDrvPerceptionPPort" ,mainLog),
_CamDrv2CamDrvPerceptionTwo_Provide("camera_drv/camera_drv/CamDrv2CamDrvPerceptionTwoPPort" ,mainLog),
_CamDrv2CamDrvPerceptionThree_Provide("camera_drv/camera_drv/CamDrv2CamDrvPerceptionThreePPort" ,mainLog),
_CamDrv2CamDrvPerceptionFour_Provide("camera_drv/camera_drv/CamDrv2CamDrvPerceptionFourPPort" ,mainLog)
{


    //Provides
    _CamDrv2Visualization_Provide.Init();
    _CamDrv2CamDrvPerception_Provide.Init();
    _CamDrv2CamDrvPerceptionTwo_Provide.Init(_CamDrv2CamDrvPerception_Provide._skeleton);
    _CamDrv2CamDrvPerceptionThree_Provide.Init(_CamDrv2CamDrvPerception_Provide._skeleton);
    _CamDrv2CamDrvPerceptionFour_Provide.Init(_CamDrv2CamDrvPerception_Provide._skeleton);

    
}

GeneralWrapper::~GeneralWrapper() 
{

}
